## phonon 4.2.0

=== gstreamer/CMakeLists.txt ===
# Copyright (C) 2007 Trolltech ASA. All rights reserved.
# Copyright (C) 2008 Matthias Kretz <kretz@kde.org>
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2 or 3 of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <http://www.gnu.org/licenses/>.

project(phonon-gstreamer)
include(ConfigureChecks.cmake)

if (BUILD_PHONON_GSTREAMER)
   include_directories(${GSTREAMER_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR}
      ${LIBXML2_INCLUDE_DIR})

   set(phonon_gstreamer_SRCS
      audiooutput.cpp
      artssink.cpp
      backend.cpp
      devicemanager.cpp
      effectmanager.cpp
      gsthelper.cpp
      mediaobject.cpp
      medianode.cpp
      effect.cpp
      medianodeevent.cpp
      videowidget.cpp
      qwidgetvideosink.cpp
      streamreader.cpp
      phononsrc.cpp
      message.cpp
      audioeffect.cpp
      abstractrenderer.cpp
      x11renderer.cpp
      widgetrenderer.cpp
      glrenderer.cpp
      volumefadereffect.cpp
      )

   find_package(Alsa)
   if(ALSA_FOUND)
      add_definitions(-DUSE_ALSASINK2)
      include_directories(${ALSA_INCLUDES})
      set(phonon_gstreamer_SRCS
         ${phonon_gstreamer_SRCS}
         alsasink2.c
         )
   endif(ALSA_FOUND)

   add_definitions(-DPHONON_BACKEND_VERSION_4_2)
   automoc4(phonon_gstreamer phonon_gstreamer_SRCS)
   add_library(phonon_gstreamer SHARED ${phonon_gstreamer_SRCS})
   set_target_properties(phonon_gstreamer PROPERTIES PREFIX "")
   target_link_libraries(phonon_gstreamer
      ${QT_QTOPENGL_LIBRARY}
      ${PHONON_LIBS} ${OPENGL_gl_LIBRARY}
      ${GSTREAMER_LIBRARIES} ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_INTERFACE_LIBRARY}
      ${GSTREAMER_PLUGIN_VIDEO_LIBRARIES} ${GSTREAMER_PLUGIN_AUDIO_LIBRARIES}
      ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES})
   if(ALSA_FOUND)
      target_link_libraries(phonon_gstreamer ${ASOUND_LIBRARY})
   endif(ALSA_FOUND)

   install(TARGETS phonon_gstreamer DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/phonon_backend)
   install(FILES gstreamer.desktop DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)
endif (BUILD_PHONON_GSTREAMER)

=== includes/CMakeLists.txt ===
install( FILES
  Phonon/AbstractAudioOutput
  Phonon/AbstractMediaStream
  Phonon/AbstractVideoOutput
  Phonon/AddonInterface
  Phonon/AudioDevice
  Phonon/AudioDeviceEnumerator
  Phonon/AudioOutput
  Phonon/AudioOutputDevice
  Phonon/AudioOutputDeviceModel
  Phonon/AudioOutputInterface
  Phonon/BackendCapabilities
  Phonon/BackendInterface
  Phonon/Effect
  Phonon/EffectDescription
  Phonon/EffectDescriptionModel
  Phonon/EffectInterface
  Phonon/EffectParameter
  Phonon/EffectWidget
  Phonon/Global
  Phonon/MediaController
  Phonon/MediaNode
  Phonon/MediaObject
  Phonon/MediaObjectInterface
  Phonon/MediaSource
  Phonon/ObjectDescription
  Phonon/ObjectDescriptionModel
  Phonon/Path
  Phonon/PlatformPlugin
  Phonon/SeekSlider
  Phonon/StreamInterface
  Phonon/VideoPlayer
  Phonon/VideoWidget
  Phonon/VideoWidgetInterface
  Phonon/VolumeFaderEffect
  Phonon/VolumeFaderInterface
  Phonon/VolumeSlider
DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/Phonon)

install(FILES
  Phonon/Experimental/AudioDataOutput
  Phonon/Experimental/VideoDataOutput
  Phonon/Experimental/VideoFrame
  Phonon/Experimental/Visualization
DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/Phonon/Experimental)

=== phonon/examples/CMakeLists.txt ===
include_directories(${KDE4_KIO_INCLUDES} ${CMAKE_SOURCE_DIR}/includes)

# Examples don't need to go into toplevel/bin, they are fine in the current dir.
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

macro(PHONON_DECLARE_EXAMPLES)
   foreach(_examplename ${ARGN})
      set(_SRCS ${_examplename}.cpp)
      automoc4(${_examplename} _SRCS)
      add_executable(${_examplename} ${_SRCS})
      target_link_libraries(${_examplename} ${PHONON_LIBS})
   endforeach(_examplename)
endmacro(PHONON_DECLARE_EXAMPLES)

phonon_declare_examples(
    tutorial2
    tutorial3
    tutorial4
    #videoplayer
    #crossfade
    #videoplayandforget
    #pcmoutput
    #videoplayback
    )

#target_link_libraries(videoplayer ${KDE4_KDEUI_LIBS})

=== phonon/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
if(msvc)
  add_definitions( -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -D_SCL_SECURE_NO_WARNINGS )
endif(msvc)
add_subdirectory(fakebackend)
#add_subdirectory(guitest)

MACRO(PHONON_UNIT_TESTS)
	FOREACH(_testname ${ARGN})
		phonon_add_unit_test(${_testname} ${_testname}.cpp)
		target_link_libraries(${_testname} ${PHONON_LIBS} ${QT_QTTEST_LIBRARY})
	ENDFOREACH(_testname)
ENDMACRO(PHONON_UNIT_TESTS)

# same as above but using the fake backend
MACRO(PHONON_UNIT_TESTS_FAKE)
	FOREACH(_testname ${ARGN})
		phonon_add_unit_test(${_testname}_fake ${_testname}.cpp)
      target_link_libraries(${_testname}_fake ${PHONON_LIBS} ${QT_QTTEST_LIBRARY} phonon_fake)
		SET_TARGET_PROPERTIES(${_testname}_fake PROPERTIES COMPILE_FLAGS -DUSE_FAKE_BACKEND)
	ENDFOREACH(_testname)
ENDMACRO(PHONON_UNIT_TESTS_FAKE)

MACRO(PHONON_EXECUTABLE_TESTS)
   FOREACH(_testname ${ARGN})
      phonon_add_executable(${_testname} ${_testname}.cpp)
      target_link_libraries(${_testname} ${PHONON_LIBS} ${QT_QTTEST_LIBRARY})
   ENDFOREACH(_testname)
ENDMACRO(PHONON_EXECUTABLE_TESTS)

PHONON_EXECUTABLE_TESTS(
	mediaobjecttest
	pathtest
	backendcapabilitiestest
	audiooutputtest
	audiooutputdevicetest
	#audiocapturedevicetest
	#videocapturedevicetest
	#bytestreamtest
	#bytestreamtest2
	seekslidertest
	volumeslidertest
	)

PHONON_UNIT_TESTS(
	)

PHONON_UNIT_TESTS_FAKE(
	mediaobjecttest
	pathtest
	backendcapabilitiestest
	audiooutputtest
	audiooutputdevicetest
	#audiocapturedevicetest
	#videocapturedevicetest
	#bytestreamtest
	#bytestreamtest2
	seekslidertest
	volumeslidertest
)
target_link_libraries(backendcapabilitiestest ${PHONON_KDECORE_LIBS})
target_link_libraries(audiodevicelisttest ${PHONON_KAUDIODEVICELIST_LIBS})
target_link_libraries(mediaplayer ${PHONON_KIO_LIBS})
target_link_libraries(backendcapabilitiestest_fake ${PHONON_KDECORE_LIBS})
#methodtest does not link against libphonon
phonon_add_executable(methodtest methodtest.cpp ../factory.cpp ../phononnamespace.cpp)
target_link_libraries(methodtest ${QT_QTTEST_LIBRARY} ${PHONON_LIBS})
SET_TARGET_PROPERTIES(methodtest PROPERTIES COMPILE_FLAGS "-DPHONON_METHODTEST -DPHONON_EXPORT=")
phonon_add_unit_test(methodtest_fake methodtest.cpp ../factory.cpp ../phononnamespace.cpp)
target_link_libraries(methodtest_fake ${QT_QTTEST_LIBRARY} ${PHONON_LIBS} phonon_fake)
SET_TARGET_PROPERTIES(methodtest_fake PROPERTIES COMPILE_FLAGS "-DUSE_FAKE_BACKEND -DPHONON_METHODTEST -DPHONON_EXPORT=")

SET(mediasourcetest_SRCS mediasourcetest.cpp)
qt4_add_resources(mediasourcetest_SRCS testresources.qrc)
phonon_add_unit_test(mediasourcetest ${mediasourcetest_SRCS})
target_link_libraries(mediasourcetest ${PHONON_LIBS} ${QT_QTTEST_LIBRARY})

SET(backendtester_SRCS backendtester.cpp)
qt4_wrap_ui(backendtester_SRCS backendtester.ui)
phonon_add_executable(backendtester ${backendtester_SRCS})
target_link_libraries(backendtester ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

=== phonon/tests/fakebackend/CMakeLists.txt ===
set(phonon_fake_PART_SRCS
   abstractaudiooutput.cpp
   audiodataoutput.cpp
   delayaudioeffect.cpp
   effect.cpp
   audiooutput.cpp
   mediaobject.cpp
   stream.cpp
   videodataoutput.cpp
   visualization.cpp
   backend.cpp
   volumefadereffect.cpp
   videowidget.cpp
   )

automoc4(phonon_fake phonon_fake_PART_SRCS)
add_library(phonon_fake SHARED ${phonon_fake_PART_SRCS})
set_target_properties(phonon_fake PROPERTIES DEFINE_SYMBOL MAKE_PHONON_FAKE_LIB)
target_link_libraries(phonon_fake ${PHONON_LIBS} phononexperimental)

=== phonon/tests/guitest/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/includes)
add_executable(guitest
   anglewidget.cpp
   audiooutputitem.cpp
   chapterwidget.cpp
   effectitem.cpp
   main.cpp
   mediaobjectitem.cpp
   mygraphicsscene.cpp
   navigationwidget.cpp
   pathitem.cpp
   titlewidget.cpp
   widgetrectitem.cpp
   )
target_link_libraries(guitest ${PHONON_LIBS})

## phonon 4.6.0really4.4.2

=== debian/changelog ===
phonon (4:4.6.0really4.4.2-1) unstable; urgency=low

  * New upstream release:
    - fixes PulseAudio breakage in xine backend (Closes: #582716).
  * Switch to 3.0 (quilt) format:
    - build depend on pkg-kde-tools (>= 0.9);
    - set appropriate debian/source/format;
    - remove quilt from build depends;
    - use original tar.bz2 tarballs from now on.
  * Update symbol file.
  * Drop unused phonon-backend-null lintian-override.

 -- Modestas Vainius <modax@debian.org>  Tue, 08 Jun 2010 02:13:01 +0300

phonon (4:4.6.0really4.4.1-2) unstable; urgency=low

  * Update symbol file for armel, fixes FTBFS.

 -- Modestas Vainius <modax@debian.org>  Sun, 09 May 2010 12:42:34 +0300

phonon (4:4.6.0really4.4.1-1) unstable; urgency=low

  * New upstream release:
   - fixes crash when opening PDF document (Closes: #580802);

  [ Modestas Vainius ]
  * Add debian/watch.
  * Update patches:
    - refresh 01 and 02;
    - adapt 03 to upstream changes;
    - remove 04, was stolen from upstream.
  * Use dh_xine, version libxine-dev build dependency to >= 1.1.16.3
    (Closes: #575115).
  * Update libphonon4 symbol file.
  * Add ${misc:Depends} to phonon-backend-null.
  * Update libphonon-dev.install: ship new style CamelCase headers in
    /usr/include/phonon.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 09 May 2010 00:55:16 +0300

phonon (4:4.6.0really4.4.0-4) unstable; urgency=high

  [ Modestas Vainius ]
  * Make libphonon-dev depend on libqt4-dev.
  * Manually create /usr/include/qt4/phonon symlink on upgrades.
    See #404850 why dpkg does not create it by itself.
  * Urgency high as the bug leaves Phonon undiscoverable by KDE
    FindPhonon.cmake after upgrade and the buggy libphonon-dev is already in
    testing.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 29 Apr 2010 00:52:29 +0300

phonon (4:4.6.0really4.4.0-3) unstable; urgency=low

  [ Pino Toscano ]
  * phonon-backend-gstreamer: depend on gstreamer0.10-alsa only on Linux
    architectures, as ALSA is available only there. (Closes: #578255)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 17 Apr 2010 00:56:32 +0200

phonon (4:4.6.0really4.4.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Modestas Vainius <modax@debian.org>  Wed, 14 Apr 2010 23:13:57 +0300

phonon (4:4.6.0really4.4.0-1) experimental; urgency=low

  * New upstream release (4.4.0).

  [ Modestas Vainius ]
  * Add 04_skip_pa_detection_if_no_glib_loop.diff patch which fixes phonon
    hang if GLib loop is disabled in Qt.
  * Refresh patches.
  * Update libphonon4 symbol file.
  * Update libphonon-dev.install: add pulsesupport.h.
  * Override lintian "phonon-backend-null: empty-binary-package".
  * Add explicit debian/source/format as lintian suggests.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 07 Apr 2010 01:42:07 +0300

phonon (4:4.6.0really4.3.80-1) experimental; urgency=low

  * New upstream release (using really-style version number).

  [ Fathi Boudra ]
  * Build Phonon from kdesupport again:
    - Add phonon, phonon-dbg, libphonon4 and libphonon-dev packages.
  * Remove patches:
    - 02_disable_phonon_build.diff - dropped.
    - 03_r950739_fullscreen_hidecursor.diff - stolen upstream.
    - 05_924144_encoding_local_files_fix.diff - stolen upstream.
    - 06_983650_play_filenames_with_hash.diff - stolen upstream.
    - 07_feature_backport_xine_equalizer.diff - stolen upstream.
  * Update debian/control:
    - Bump build dependencies (debhelper and pkg-kde-tools).
    - Add libpulse-dev build dependency.
    - Remove libphonon-dev build dependency.
    - Bump Standards-Version from 3.8.2 to 3.8.4 (no changes needed).

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Uploaders.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Improve descriptions.
  * Downgrade Qt build dependency to 4.5.
  * Bump version to 4:4.6.0really4.3.80 to be higher than the last
    release of the Phonon libraries with the qt4-x11 source package.
  * Convert libphonon4.symbols to new pkg-kde-tools 0.6 style, adjust
    for 4.3.80 release.
  * Do not install "experimental" headers to libphonon-dev.
  * Add libphonon4 lintian overrides for
    {shlibs,symbols}-declares-dependency-on-other-package warnings.
  * Add 02_no_rpath.patch patch to disable /usr/lib RPATH by default.
  * Add DEP-3 patch header to 01_phonon-inc.patch.
  * Tweak copyright file a bit so lintian stops thinking it's of
    old-dh-make style. Also bump years of packaging copyright.
  * Add phonon-backends-dbg to phonon-dbg Conflicts and Replaces.
  * Do not version dependency on the phonon metapackage.
  * Use strict interdependencies among backends and libphonon4.
  * Build depend on dpkg-dev 1.15.5.
  * Make libphonon4 break phonon-backend-xine (<< 4:4.6.0really4.3.80).

  [ Sune Vuorela ]
  * Fix installing of include headers so that others can also find them.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Mar 2010 13:26:14 +0100

phonon-backends (4:4.3.1-5) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Rename source package to phonon-backends.
  * Add phonon-backends-dbg debug package.
  * Add patch (06_983650_play_filenames_with_hash.diff) to fix playback of
    files with hash (#) symbol in their name (Closes: #546271).
  * Backport Xine equalizer support from Phonon trunk (patch
    07_feature_backport_xine_equalizer.diff).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 15 Oct 2009 20:31:26 +0300

phonon (4:4.3.1-4) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Install backends to /usr/lib/qt4 (Closes: #539623). Otherwise pure Qt4
    applications cannot find any backends.

  +++ Changes by Sune Vuorela:

  * Backport a bugfix from upstream to fix encoding issues with filenames.
  * Fix not-installed file and remove trailing whitespaces



=== debian/control ===
Source: phonon
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.13), cmake (>= 2.6.2),
 pkg-kde-tools (>= 0.9), dpkg-dev (>= 1.15.5), automoc,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libglib2.0-dev, libglu1-mesa-dev, libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev,
 libpulse-dev (>= 0.9.21), libqt4-dev (>= 4.5), libqt4-opengl-dev (>= 4.5),
 libxine-dev (>= 1.1.16.3), libxml2-dev
Build-Conflicts: libxine2
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/phonon/#_trunk_packages_phonon_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/phonon

Package: phonon
Architecture: all
Depends: ${misc:Depends}, libphonon4 (>= ${source:Version}),
 phonon-backend-xine | phonon-backend
Suggests: phonon-backend-xine, phonon-backend-gstreamer, phonon-backend-vlc,
 phonon-backend-mplayer
Description: metapackage for the Phonon multimedia framework
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that a user has working Phonon configuration
 installed on the system (the core library and at least one backend).

Package: libphonon-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libphonon4 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libphonon4}
Replaces: kdelibs5-dev (<< 4:4.0.81)
Description: development files for the Phonon multimedia framework
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt 4 applications
 using Phonon cross-platform multimedia framework.

Package: libphonon4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<= 4:4.0.80)
Breaks: phonon-backend-xine (<< 4:4.6.0really4.3.80)
Description: the core library of the Phonon multimedia framework
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework for Qt 4.  It is required to run applications that use Phonon.

Package: phonon-backend-xine
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}
Replaces: kde-icons-oxygen (<< 4:4.1.80)
Description: Phonon Xine 1.1.x backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Xine 1.1.x backend for Phonon.

Package: phonon-backend-gstreamer
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
Recommends: gstreamer0.10-plugins-good
Suggests: gstreamer0.10-plugins-ugly
Description: Phonon GStreamer 0.10.x backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains GStreamer 0.10.x backend for Phonon.
 .
 You should install gstreamer0.10-plugins-good to get support for playing
 popular free multimedia formats and gstreamer0.10-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-null
Architecture: all
Provides: phonon-backend
Depends: libphonon4, ${misc:Depends}
Conflicts: phonon-backend
Description: Phonon null backend (no real backend)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon backend. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behaviour 
 with this package installed has not been well tested.

Package: phonon-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, libphonon4 (= ${binary:Version})
Conflicts: phonon-backends-dbg
Replaces: phonon-backends-dbg
Suggests: phonon-backend-xine (= ${binary:Version}),
 phonon-backend-gstreamer (= ${binary:Version})
Description: Phonon debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains debugging symbols of the Phonon library and main
 backends You should install this package when you are about to report a crash
 or want to debug a problem with Phonon or its backends.

## phonon 4.6.0really4.5.0

=== debian/changelog ===
phonon (4:4.6.0really4.5.0-6) unstable; urgency=low

  [ Pino Toscano ]
  * Backport upstream patch to switch from pow() to qPow(). (Closes: #650708)
    (commit d7d3a08, upstream_pulse-Use-qPow-as-pow-is-sometimes-not-found)

  [ Debconf translation updates ]
  * Dutch (Jeroen Schot). (Closes: #637506)
  * Japanese (Hideki Yamane). (Closes: #626849)
  * Slovak (Slavko). (Closes: #641958)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 02 Dec 2011 12:35:02 +0100

phonon (4:4.6.0really4.5.0-5) unstable; urgency=low

  [ Pino Toscano ]
  * Do not make X11 mandatory for phonon and its backends (patch
    findqt4_optional_x11.diff). (Closes: #641111)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 10 Sep 2011 16:05:58 +0200

phonon (4:4.6.0really4.5.0-4) unstable; urgency=low

  [Lisandro Damián Nicanor Pérez Meyer]
  * Add a B-D on libqzeitgeist-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 11:23:58 +0300

phonon (4:4.6.0really4.5.0-3) unstable; urgency=low

  [ Pino Toscano ]
  * Backport macro usage for registerMetaTypes() from upstream branch 4.5
    (commit 974fb5f, patch upstream_PHONON_EXPORT_DEPRECATED.diff).

  [ Modestas Vainius ]
  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.
  * Bump Standards-Version to 3.9.2: no changes needed.

  [ Christian Perrier ]
  * Debconf translation updates:
    - Danish (Joe Hansen).  Closes: #620817
    - Czech (Michal Simunek).  Closes: #620855
    - German (Martin Eberhard Schauer).  Closes: #622223
    - French (Steve Petruzzello).  Closes: #622736
    - Russian (Yuri Kozlov).  Closes: #623359
    - Portuguese (Américo Monteiro).  Closes: #623421
    - Swedish (Martin Bagge / brother).  Closes: #623399
    - Spanish (Omar Campagne).  Closes: #623588

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 08 May 2011 00:20:00 +0300

phonon (4:4.6.0really4.5.0-2) unstable; urgency=low

  * Add final post-review version of package descriptions and
    phonon-backend-null.templates.

 -- Modestas Vainius <modax@debian.org>  Mon, 04 Apr 2011 00:52:30 +0300

phonon (4:4.6.0really4.5.0-1) experimental; urgency=low

  * New upstream release.
  * Drop cdbs from Build-Depends.
  * Update install files.
  * Update symbol files.
  * Manage phononexperimental ABI via phononexperimental-abi-N virual package.
  * Add ${shlibs:Depends} to libphonon-dev Depends.
  * Update package descriptions (thanks to Christian PERRIER and
    Justin B Rye).

 -- Modestas Vainius <modax@debian.org>  Sun, 27 Mar 2011 12:25:04 +0300

phonon (4:4.6.0really4.4.4-3) unstable; urgency=low

  * Fix FTBFS with binary-arch target.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 Mar 2011 19:27:58 +0200

phonon (4:4.6.0really4.4.4-2) unstable; urgency=low

  * Drop phonon-backends-dbg from phonon-dbg Recommends/Breaks. No longer
    needed.
  * Readd packaging copyright/licensing to debian/copyright.
  * Bump libphonon-dev Breaks/Replaces to << 4:4.6.0really4.4.4 for
    libphononexperimental-dev. experimental/avcaptureinterface.h header which
    used to be there up to 4.4.4 (see changelog below).
  * Switch debian/rules build engine to dhmk (qt-kde-team/2/*):
    - build-depend on pkg-kde-tools >= 0.11;
    - port debian/rules to dhmk keeping it dh compatible as much as possible.
  * Drop unused ${shlibs:Depends} from libphonon-dev and
    libphononexperimental-dev packages.
  * Add README.Debian to phonon-backend-null package.
  * Remove phonon-backend-null.lintian-overrides: phonon-backend-null is no
    longer and empty package due to README.Debian (see above).
  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Fri, 11 Mar 2011 21:39:20 +0200

phonon (4:4.6.0really4.4.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Do not install the header experimental/avcaptureinterface.h in
    libphonon-dev, as it experimental.

  [ Modestas Vainius ]
  * Drop phonon-backend-xine and phonon-backend-gstreamer. They have been
    split off to their own source packages upstream. Only phonon-backend-null
    remains here.
  * Remove xine and gstreamer specific packages from Build-Depends.
  * Adapt 02_no_rpath.patch to upstream changes.
  * Refresh other debian patches.
  * Remove sequence number from debian patches filenames.
  * Update install files.
  * Switch default backend to phonon-backend-vlc (phonon metapackage).
  * Try to solve an issue with Phonon backends getting auto-installed on
    buildds. phonon-backend-null will be preferred if Phonon is installed via
    libphonon-dev (which normally won't be a case on user systems).
  * Add lintian override for "phonon-backend-null: empty-binary-package".
  * Reshuffle backends in the Suggests of the phonon metapackage in the order of
    preferrence.
  * Drop README.source, no longer needed since switch to 3.0 (quilt).
  * Show a debconf warning to users who end up installing phonon-backend-null
    (probably unintentionally). The warning is displayed only if both phonon
    and phonon-backend-null packages end up being installed.
  * Update debian/copyright.
  * Point Homepage to http://phonon.kde.org/.
  * Add packages (libphononexperimental4 and libphononexperimental-dev) for the
    Phonon-Experimental library. It's needed by phonon-backend-gstreamer. The
    packages include disclaimers (in the README.Debian) about expected usage of
    this library.
  * Add libphononexperimental4 to phonon-dbg Suggests.
  * phonon-dbg: replace "Conflicts: phonon-backends-dbg" with Breaks.

 -- Modestas Vainius <modax@debian.org>  Sat, 05 Mar 2011 02:38:24 +0200

phonon (4:4.6.0really4.4.3-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Update symbol file. for 4.4.3 on amd64.
  * Update install files.


=== debian/rules ===
#!/usr/bin/make -f

dh = --dbg-package=phonon-dbg

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# Enable strict interdependencies
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

RECOMMENDED_PHONON_BACKEND := phonon-backend-vlc

override_dh_auto_configure:
	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/

# shlibs is needed for library-packages.mk (strict shlibs) to work
override_dh_makeshlibs:
	$(overridden_command) -plibphonon4 -V'libphonon4 (>= $(dqk_upstream_version)), phonon'
	$(overridden_command) -V --remaining-packages

override_dh_shlibdeps:
	$(overridden_command) -- -xphonon

override_dh_gencontrol:
	# Expand some variables in maintainer scripts and debconf templates
	@for f in debian/*/DEBIAN/post* \
	          debian/*/DEBIAN/pre* \
	          debian/*/DEBIAN/config \
	          debian/*/DEBIAN/templates; do \
	    if [ -f "$$f" ]; then \
	        cmd="awk -f debian/expand_vars.awk -v recommended_backend='$(RECOMMENDED_PHONON_BACKEND)' -- $$f > $$f.tmp && cat $$f.tmp >| $$f && rm -f $$f.tmp"; \
	        echo "$$cmd"; eval "$$cmd"; \
	    fi; \
	done
	if [ -d debian/phonon-backend-null ]; then \
	    sed -i 's/\$${recommended_backend}/$(RECOMMENDED_PHONON_BACKEND)/g' \
	        debian/phonon-backend-null/usr/share/doc/phonon-backend-null/README.Debian; \
	fi
	$(overridden_command) -- -Vphonon:Recommended-Backend=$(RECOMMENDED_PHONON_BACKEND)

## phonon 4.6.0really4.5.1

=== phonon/CMakeLists.txt ===

if (PHONON_BUILD_TESTS)
    add_subdirectory(tests)
endif (PHONON_BUILD_TESTS)

add_subdirectory(experimental)

macro_optional_find_package(PulseAudio 0.9.15)
macro_log_feature(PULSEAUDIO_FOUND "PulseAudio" "A cross-platform, networked sound server." "http://www.pulseaudio.org" FALSE "" "Allows audio playback via the PulseAudio soundserver when it is running")
macro_optional_find_package(GLIB2)
macro_log_feature(GLIB2_FOUND "GLib2" "GLib 2 is required to compile the pulseaudio for Phonon" "http://www.gtk.org/download/" FALSE)


if (GLIB2_FOUND AND PULSEAUDIO_FOUND)
   add_definitions(-DHAVE_PULSEAUDIO)
   include_directories(${GLIB2_INCLUDE_DIR} ${PULSEAUDIO_INCLUDE_DIR})
else(GLIB2_FOUND AND PULSEAUDIO_FOUND)
   set(PULSEAUDIO_INCLUDE_DIR "")
   set(PULSEAUDIO_LIBRARY "")
   set(PULSEAUDIO_MAINLOOP_LIBRARY "")
endif(GLIB2_FOUND AND PULSEAUDIO_FOUND)

macro_optional_find_package(QZeitgeist)
macro_log_feature(QZEITGEIST_FOUND "QtZeitgeist" "Qt bindings for Zeitgeist" "http://gitorious.org/kde-zeitgeist/libqzeitgeist/" FALSE)
if (QZEITGEIST_FOUND)
    add_definitions(-DHAVE_QZEITGEIST)
    include_directories(${QZEITGEIST_INCLUDE_DIR})
endif(QZEITGEIST_FOUND)

set(phonon_LIB_SRCS
   abstractaudiooutput.cpp
   abstractaudiooutput_p.cpp
   abstractmediastream.cpp
   abstractvideooutput.cpp
   abstractvideooutput_p.cpp
   audiodataoutput.cpp
   audiooutput.cpp
   audiooutputinterface.cpp
   backendcapabilities.cpp
   effect.cpp
   effectparameter.cpp
   effectwidget.cpp
   factory.cpp
   globalconfig.cpp
   iodevicestream.cpp
   mediacontroller.cpp
   mediaobject.cpp
   medianode.cpp
   mediasource.cpp
   mrl.cpp
   objectdescription.cpp
   objectdescriptionmodel.cpp
   path.cpp
   phononnamespace.cpp
   platform.cpp
   pulsesupport.cpp
   seekslider.cpp
   streaminterface.cpp
   swiftslider.cpp
   volumefadereffect.cpp
   volumeslider.cpp
   videoplayer.cpp
   videowidget.cpp
   )

if (PULSEAUDIO_FOUND)
   list(APPEND phonon_LIB_SRCS
      pulsestream.cpp
   )
endif (PULSEAUDIO_FOUND)

if (QT_QTDBUS_FOUND AND NOT PHONON_NO_DBUS)
   list(APPEND phonon_LIB_SRCS
      audiooutputadaptor.cpp
   )
endif (QT_QTDBUS_FOUND AND NOT PHONON_NO_DBUS)

option(PHONON_NO_PLATFORMPLUGIN "Do not use any platform plugin")
if (PHONON_NO_PLATFORMPLUGIN)
    add_definitions(-DQT_NO_PHONON_PLATFORMPLUGIN)
endif (PHONON_NO_PLATFORMPLUGIN)

add_definitions(-DPHONON_LIBRARY_PATH="${PLUGIN_INSTALL_DIR}/plugins")

automoc4_add_library(phonon SHARED ${phonon_LIB_SRCS})
target_link_libraries(phonon ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
if (GLIB2_FOUND AND PULSEAUDIO_FOUND)
target_link_libraries(phonon ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES} ${PULSEAUDIO_LIBRARY} ${PULSEAUDIO_MAINLOOP_LIBRARY})
endif (GLIB2_FOUND AND PULSEAUDIO_FOUND)

if (QZEITGEIST_FOUND)
    target_link_libraries(phonon ${QZEITGEIST_LIBRARY})
endif(QZEITGEIST_FOUND)

if (QT_QTDBUS_FOUND AND NOT PHONON_NO_DBUS)
  target_link_libraries(phonon ${QT_QTDBUS_LIBRARY})
endif (QT_QTDBUS_FOUND AND NOT PHONON_NO_DBUS)
if (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
  # We need to explicitly link libm to phonon in Solaris
  target_link_libraries(phonon m)
endif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")

set_target_properties(phonon PROPERTIES
                             VERSION ${PHONON_LIB_VERSION}
                             SOVERSION ${PHONON_LIB_SOVERSION}
                             DEFINE_SYMBOL MAKE_PHONON_LIB
                             )
install(TARGETS phonon ${INSTALL_TARGETS_DEFAULT_ARGS})
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phononconfig_p.h.in ${CMAKE_CURRENT_BINARY_DIR}/phononconfig_p.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phononnamespace.h.in ${CMAKE_CURRENT_BINARY_DIR}/phononnamespace.h)

install(FILES
   abstractaudiooutput.h
   abstractmediastream.h
   abstractvideooutput.h
   addoninterface.h
   audiodataoutput.h
   audiodataoutputinterface.h
   audiooutput.h
   audiooutputinterface.h
   backendcapabilities.h
   backendinterface.h
   effect.h
   effectinterface.h
   effectparameter.h
   effectwidget.h
   globalconfig.h
   mediacontroller.h
   medianode.h
   mediaobject.h
   mediaobjectinterface.h
   mediasource.h
   mrl.h
   objectdescription.h
   objectdescriptionmodel.h
   path.h
   phonon_export.h
   phonondefs.h
   platformplugin.h
   pulsesupport.h
   seekslider.h
   streaminterface.h
   videoplayer.h
   videowidget.h
   videowidgetinterface.h
   volumefadereffect.h
   volumefaderinterface.h
   volumeslider.h
   ${CMAKE_CURRENT_BINARY_DIR}/phononnamespace.h
   DESTINATION ${INCLUDE_INSTALL_DIR}/phonon COMPONENT Devel)

if (QT_QTDBUS_FOUND AND NOT PHONON_NO_DBUS)
    install(FILES org.kde.Phonon.AudioOutput.xml  DESTINATION  ${DBUS_INTERFACES_INSTALL_DIR})
endif (QT_QTDBUS_FOUND AND NOT PHONON_NO_DBUS)

=== debian/changelog ===
phonon (4:4.6.0really4.5.1-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Update the patches:
    - phonon-inc.patch: adapt to the new version
    - phonon_is_not_forced_in_KDE.diff: refresh
    - upstream_PHONON_EXPORT_DEPRECATED.diff: drop, applied upstream
    - upstream_pulse-Use-qPow-as-pow-is-sometimes-not-found.patch: drop,
      applied upstream
  * debian/watch: update for the new path and format of tarballs.
  * Update the symbols files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 20 Dec 2011 13:13:55 +0100

=== debian/control ===
Source: phonon
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
 dpkg-dev (>= 1.15.5), automoc, libglib2.0-dev,
 libpulse-dev (>= 0.9.21), libqt4-dev (>= 4.5),
 libqzeitgeist-dev
Standards-Version: 3.9.2
Homepage: http://phonon.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/phonon.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-req/phonon.git

Package: phonon
Architecture: all
Depends: ${misc:Depends}, libphonon4 (>= ${source:Version}),
 ${phonon:Recommended-Backend} | phonon-backend
Suggests: ${phonon:Recommended-Backend}, phonon-backend-gstreamer,
 phonon-backend-xine, phonon-backend-mplayer
Description: multimedia framework from KDE - metapackage
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that the system has a working Phonon configuration
 installed (the core library and at least one back-end).

Package: libphonon-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libphonon4 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libphonon4}, phonon-backend-null | phonon
Description: multimedia framework from KDE - development files
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt 4 applications
 using the Phonon cross-platform multimedia framework.

Package: libphonon4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: phonon-backend-xine (<< 4:4.6.0really4.3.80)
Description: multimedia framework from KDE - core library
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework from KDE. It is required to run applications that use Phonon.

Package: libphononexperimental-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libphononexperimental4 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libphononexperimental4}
Replaces: libphonon-dev (<< 4:4.6.0really4.4.4)
Breaks: libphonon-dev (<< 4:4.6.0really4.4.4)
Description: multimedia framework from KDE - experimental development files
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Phonon back-ends
 or internal applications which need the Phonon-Experimental library.
 Third-party applications should not depend on this library. Please read
 README.Debian if you are considering a build-dependency on this package.

Package: libphononexperimental4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: phononexperimental-abi-1
Replaces: libphonon4 (<< 4:4.6.0really4.3.80)
Breaks: libphonon4 (<< 4:4.6.0really4.3.80)
Description: multimedia framework from KDE - experimental library (internal)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Phonon-Experimental library, which might be needed
 by Phonon back-ends or other internal applications. Third-party applications
 should not depend on this library. Please read README.Debian before using this
 library.

Package: phonon-backend-null
Architecture: all
Provides: phonon-backend
Depends: libphonon4, ${misc:Depends}
Conflicts: phonon-backend
Description: multimedia framework from KDE - null back-end (no real back-end)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon back-end. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behavior
 with this package installed has not been well tested.

Package: phonon-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, libphonon4 (= ${binary:Version})
Suggests: libphononexperimental4 (= ${binary:Version})
Description: multimedia framework from KDE - debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains debugging symbols for the Phonon library and its main
 back-ends. Install it if you want to report a crash or debug a problem with
 Phonon or its back-ends.

## phonon 4.6.0.0

=== debian/changelog ===
phonon (4:4.6.0.0-3) unstable; urgency=low

  * Team upload.
  * Add phonon-backend-xine transitional package, transition to the vlc
    backend. This fixes the "Could not perform immediate configuration on
    'phonon-backend-vlc'" apt error on upgrades from squeeze (Closes: #669278).
    Thanks Andreas Beckmann for the patch to fix this issue.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 26 Jan 2013 11:57:09 -0300

phonon (4:4.6.0.0-2) unstable; urgency=low

  [ Debconf translation updates ]
  * Polish (Michał Kułach). (Closes: #670645)

  [ Fathi Boudra ]
  * Bump Build-Depends on Qt to >= 4.8.1.
  * Bump debian/compat to 8.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Apr 2012 18:11:46 +0200

phonon (4:4.6.0.0-1+exp1) experimental; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * Convert for multiarch.
    - Bump Build-Depends on Qt to >= 4.8.
    - Bump Build-Depends on debhelper to >= 8.1.3~.
    - Install libraries to multiarch paths.
    - Mark libraries Multi-Arch:same.
    - Change phonon and phonon-backend-null to arch:any and Multi-Arch:same.
    - Update no_rpath.patch to include multiarch lib paths.
    - Fix debconf prompt to cope with multi-arch:same packages.

  [ Didier Raboud ]
  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 24 Apr 2012 17:15:50 +0200

phonon (4:4.6.0.0-1) unstable; urgency=low

  * New upstream release (4.6.0):
    - add .0 to the upstream version in order to kill "really" suffix.

  [ Debconf translation updates ]
  * Italian (Francesca Ciceri). (Closes: #656468)

  [ Sune Vuorela ]
  * Make phonon conflicts with the xine backend. People must migrate away

  [ Modestas Vainius ]
  * Adapt findqt4_optional_x11.diff to upstream changes.
  * Adapt no_rpath.patch to upstream changes.
  * Add globaldescriptioncontainer.h to phonon-inc.patch.
  * Refresh phonon_is_not_forced_in_KDE.diff.
  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 19 Feb 2012 18:06:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,30 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), automoc, libglib2.0-dev,
- libpulse-dev (>= 0.9.21), libqt4-dev (>= 4.5),
- libqzeitgeist-dev
-Standards-Version: 3.9.2
+Build-Depends: automoc,
+               cmake (>= 2.6.2),
+               debhelper (>= 8.1.3~),
+               dpkg-dev (>= 1.15.5),
+               libglib2.0-dev,
+               libpulse-dev (>= 0.9.21),
+               libqt4-dev (>= 4:4.8.1),
+               libqzeitgeist-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.3
 Homepage: http://phonon.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/phonon.git
 Vcs-Git: git://git.debian.org/pkg-kde/kde-req/phonon.git
 
 Package: phonon
-Architecture: all
-Depends: ${misc:Depends}, libphonon4 (>= ${source:Version}),
- ${phonon:Recommended-Backend} | phonon-backend
-Suggests: ${phonon:Recommended-Backend}, phonon-backend-gstreamer,
- phonon-backend-xine, phonon-backend-mplayer
+Architecture: any
+Multi-Arch: same
+Depends: libphonon4 (>= ${source:Version}),
+         ${misc:Depends},
+         ${phonon:Recommended-Backend} | phonon-backend
+Suggests: phonon-backend-gstreamer,
+          phonon-backend-mplayer,
+          ${phonon:Recommended-Backend}
+Breaks: phonon-backend-xine (<< 4:4.6.0.0)
 Description: multimedia framework from KDE - metapackage
  Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
  layer for capturing, mixing, processing, and playing audio and video content.
@@ -28,8 +37,11 @@
 Package: libphonon-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libphonon4 (= ${binary:Version}),
- ${sameVersionDep:libqt4-dev:libphonon4}, phonon-backend-null | phonon
+Depends: libphonon4 (= ${binary:Version}),
+         phonon-backend-null | phonon,
+         ${misc:Depends},
+         ${sameVersionDep:libqt4-dev:libphonon4},
+         ${shlibs:Depends}
 Description: multimedia framework from KDE - development files
  Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
  layer for capturing, mixing, processing, and playing audio and video content.
@@ -39,8 +51,10 @@
 
 Package: libphonon4
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: phonon-backend-xine (<< 4:4.6.0really4.3.80)
 Description: multimedia framework from KDE - core library
  Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
@@ -52,8 +66,9 @@
 Package: libphononexperimental-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libphononexperimental4 (= ${binary:Version}),
- ${sameVersionDep:libqt4-dev:libphononexperimental4}
+Depends: libphononexperimental4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${sameVersionDep:libqt4-dev:libphononexperimental4}
 Replaces: libphonon-dev (<< 4:4.6.0really4.4.4)
 Breaks: libphonon-dev (<< 4:4.6.0really4.4.4)
 Description: multimedia framework from KDE - experimental development files
@@ -67,8 +82,10 @@
 
 Package: libphononexperimental4
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: phononexperimental-abi-1
 Replaces: libphonon4 (<< 4:4.6.0really4.3.80)
 Breaks: libphonon4 (<< 4:4.6.0really4.3.80)
@@ -82,7 +99,8 @@
  library.
 
 Package: phonon-backend-null
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Provides: phonon-backend
 Depends: libphonon4, ${misc:Depends}
 Conflicts: phonon-backend
@@ -97,8 +115,9 @@
 Package: phonon-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
-Depends: ${misc:Depends}, libphonon4 (= ${binary:Version})
+Depends: libphonon4 (= ${binary:Version}), ${misc:Depends}
 Suggests: libphononexperimental4 (= ${binary:Version})
 Description: multimedia framework from KDE - debugging symbols
  Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
@@ -107,3 +126,10 @@
  This package contains debugging symbols for the Phonon library and its main
  back-ends. Install it if you want to report a crash or debug a problem with
  Phonon or its back-ends.
+
+Package: phonon-backend-xine
+Architecture: all
+Depends: phonon-backend-vlc
+Description: transitional package to aid switching to phonon-backend-vlc
+ This is a transitional dummy package to aid switching to phonon-backend-vlc.
+ It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 dh = --dbg-package=phonon-dbg
 
@@ -11,7 +13,7 @@
 RECOMMENDED_PHONON_BACKEND := phonon-backend-vlc
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/
+	$(overridden_command) -- -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=ON -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
 
 # shlibs is needed for library-packages.mk (strict shlibs) to work
 override_dh_makeshlibs:
